Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 33983 - Problem with focus in the Description Area
Problem with focus in the Description Area
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
3.x
PC Windows ME/2000
: P3 (vote)
: TBD
Assigned To: _ tboudreau
issues@platform
:
Depends on:
Blocks: 33815
  Show dependency treegraph
 
Reported: 2003-05-28 19:35 UTC by dpavlica
Modified: 2008-12-22 16:08 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dpavlica 2003-05-28 19:35:04 UTC
When Description Area obtains focus, then text
inside is changed. It seems confusing a bit.
Comment 1 _ tboudreau 2003-06-02 18:25:29 UTC
This issue is mostly fixed with my latest commit.  There is a bit of
an issue:  If you have focus on the property sheet, and you shift
focus to explorer *while* selecting, the description will not update.

The reason for this:  For some reason, in NetBeans, when clicking
between TopComponents, you do not get *one* FocusEvent that has
the previous component in its getOppositeComponent property, and
the new component in the getComponent property.

Instead, you get two - one FocusEvent saying that focus has shifted
from the previous component to null, and then another focus event
saying that the focus went to null to the newly focused component.

This means my property sheet code cannot tell where focus is 
going.  Rather than write ugly hacks to get around this, I'm 
hoping it will be solved by the window system rewrite.
Comment 2 _ tboudreau 2003-06-02 19:10:04 UTC
FYI, it's now unfixed - in order to make this work, I had to shut
off default setting of focus to the table;  this breaks opening
one editor when another one is open, and makes string editors
difficult to open.

I think a better solution may simply be to kill the focusability
of these components and use JLabels.  The descriptions are available
as tooltips, which should be accessable, as are the names, so this
should not present an accessibility problem.
Comment 3 _ tboudreau 2003-06-24 12:19:00 UTC
Still waiting for a response on this issue.
My proposal:
 - Eliminate focusability of text components in
   the description area - accessibility requirements
   are satisfied because the same content is available
   as tooltips in the property sheet & nodes.
Comment 4 dpavlica 2003-06-24 13:39:15 UTC
I agree, that accessibility stuff is covered enough in Property Sheet
& nodes.

Then we could eliminate focusability of text components in the DA.
Comment 5 _ tboudreau 2003-06-25 18:39:10 UTC
Fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo